<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../../reggie-2.js,~list-hosts.js" 
	styles="path.css,table.css,toolbar.css,~../../css/reggie-2.css">
<style>
.host-status
{
	width: 24px;
	text-align: center;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Remote hosts" 
		/></p:path>

	<div class="content">
		<div class="wizard" id="wizard">
		<tbl:table 
			id="hosts"
			style="border-left: 0; border-right: 0;" 
			>
			<tbl:columndef 
				id="status"
				title=""
			/>
			<tbl:columndef 
				id="name"
				title="Name"
			/>
			<tbl:columndef 
				id="type"
				title="Type"
			/>
			<tbl:columndef 
				id="ip"
				title="IP address"
			/>
			<tbl:columndef
				id="timeDiff"
				title="Time diff"
			/>
			<tbl:columndef 
				id="info"
				title="Info"
			/>
			
			<tbl:toolbar
				subclass="topborder bg-filled-50"
				>
				<tbl:button 
					id="btnReload"
					image="refresh.png" 
					title="Reload configuration" 
					tooltip="Reload Open Grid Scheduler configuration file" 
				/>
			</tbl:toolbar>
			<tbl:data style="border-right: 0; border-left: 0;">
				<tbl:headers>
					<tbl:headerrow id="row-template">
						<tbl:columnheaders />
					</tbl:headerrow>
				</tbl:headers>
				<tbl:rows id="all-rows">					
				</tbl:rows>
			</tbl:data>
		</tbl:table>
	</div>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>