<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final String title = "Options for auto-selecting RNA";
	
	String requiredQuantity = request.getParameter("quantity");
	int numToSelect = Values.getInt(request.getParameter("numToSelect"));
	String ignore = request.getParameter("ignore");
%>
<base:page type="popup" title="<%=title%>">
<base:head 
	scripts="~auto_select_rna.js,~../reggie-2.js"
	styles="~../css/reggie-2.css"
/>
<base:body>
	<h1><%=title %></h1>

	<form name="options" id="wizard" class="wizard">

	<div id="page-data" class="datacontainer"
		data-num-to-select="<%=numToSelect%>"
		data-ignore="[<%=HTML.encodeTags(ignore)%>]"
	></div>

	<div class="content bottomborder">
	
		<table class="fullform input100 step-form">
		<tr class="big">
			<th>Auto-select</th>
			<td>
				<label><input type="radio" name="preNormalized" id="preNormalized.0" value="0">RNA</label><br>
				<label><input type="radio" name="preNormalized" id="preNormalized.1" value="1" checked>Pre-normalized RNA</label>
				<br>
				<select name="normalizationProtocol" id="normalizationProtocol"
					class="required" style="margin-left: 20px; width: 20em;">
				</select>		
			</td>
		</tr>
		<tr>
			<th>Start date</th>
			<td>
				<input type="text" name="startDate" id="startDate" style="width: 12em;" maxlength="10"
					title="Enter start date in YYYYMMDD format">
					<base:icon 
						id="startDateCalendar"
						subclass="auto-init"
						data-auto-init="calendar"
						data-textarea-id="startDate"
						data-date-format="yyyyMMdd"
						image="calendar.png" 
						tooltip="Select a date from a calendar" 
						tabindex="-1"
					/> (empty = start from oldest)
			</td>
		</tr>
		<tr class="big">
			<th>Active filters</th>
			<td>
				<input type="checkbox" name="remainingQuantity" id="remainingQuantity" value="1" checked>
					<label for="remainingQuantity">Remaining quantity</label> ≥ 
						<input type="text" class="text required" name="quantity_regular" id="quantity_regular" 
							style="width: 4em;" value="<%=HTML.encodeTags(requiredQuantity)%>"> µg<br>
				<input type="checkbox" name="qualityScore" id="qualityScore" value="1" checked>
					<label for="qualityScore">RQS/RIN</label> ≥ 
						<input type="text" class="text required" name="quality_score" id="quality_score" 
							style="width: 4em;" value="6"><br>
			</td>
		</tr>
		<tr>
			<th>Re-process</th>
			<td>
				<input type="checkbox" name="reProcess" id="reProcess" value="1" checked><label for="reProcess">Select RNA marked for re-process</label> (even if filter doesn't match)
			</td>
		</tr>
		<tr>
			<th>Flag</th>
			<td>
				<input type="checkbox" name="flag" id="flag" value="1" checked><label for="flag">Flag RNA not matching the filter</label>
			</td>
		</tr>
		<tr class="dynamic">
			<th></th>
			<td>
				
			</td>
		</tr>
		</table>
	
	</div>
	</form>
	
	<div id="wizard-status" style="position:absolute; top: 40%; left: 12em; right: 2em;"></div>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnOk" title="Ok" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>